Bug 512263 - Review Request: audtty - A ncurses based terminal client for the Audacious
Summary: Review Request: audtty - A ncurses based terminal client for the Audacious
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-16 21:39 UTC by Fabian Affolter
Modified: 2009-08-05 00:37 UTC (History)
3 users (show)

Fixed In Version: 0.1.11-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-05 00:33:42 UTC
Type: ---
cwickert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2009-07-16 21:39:46 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/audtty.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/audtty-0.1.11-1.fc11.src.rpm

Project URL: http://audtty.alioth.debian.org/

Description:
audtty is a simple application for controlling Audacious from the command
line.  It is designed to make common, simple tasks fast and easy to do.  It
is operated using arrow keys and standard Audacious keys, to make it easy and
intuitive to learn.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1480105

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint audtty-0.1.11-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop09 i586]$ rpmlint audtty*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Christoph Wickert 2009-07-19 02:22:55 UTC
I'm going to review this. This is the third review I'm doing for you this weekend. I think you owe me a beer! ;)

Comment 2 Christoph Wickert 2009-07-19 19:42:50 UTC
REVIEW FOR 57be331417265939f040809e185ddae5  audtty-0.1.11-1.fc11.src.rpm

OK - MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint Desktop/audtty-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines: GPLv2+
OK - MUST: The License field in the package spec file matches the actual license.
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 def2507e5f6b05f241c3bbc216ecedf2
OK - MUST: The package successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
N/A - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates (none).
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency.
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock.
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other Items:
OK - Timestamps are preserved (as far as possible, the server of Source0 does'nt support them)
OK - Latest stable version packaged
OK - Source0 URL is valid
OK - ${RPM_OPT_FLAGS} are honored


Issues:
- /etc/audtty.conf is not installed
- audtty.1 manpage is not getting installed
- Missing Requires: audacious
- I would prefer runnung autogen.sh instead of just autoconf (although README suggests the latter).

Comment 3 Fabian Affolter 2009-07-25 17:03:51 UTC
(In reply to comment #2)
> Issues:
> - /etc/audtty.conf is not installed
> - audtty.1 manpage is not getting installed
> - Missing Requires: audacious

All points should be fixed.  Thanks.

> - I would prefer runnung autogen.sh instead of just autoconf (although README
> suggests the latter).  

The usage of autogen.sh ended with debuginfo-without-sources.  That's the reason why I use the commands out of autogen.sh in the spec file.

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/audtty.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/audtty-0.1.11-2.fc11.src.rpm

Comment 4 Christoph Wickert 2009-07-25 20:26:40 UTC
(In reply to comment #3)
 
> All points should be fixed.  Thanks.

The way you install the manpage doesn't work, because the file is not gzipped:

gzip: ./usr/share/man/man1/audtty.1.gz: not in gzip format
ls: cannot access ./usr/share/man/man1/audtty.1: No such file or directory
find: missing argument to `-inum'
gzip: ./usr/share/man/man1/audtty.1: No such file or directory

But this in %build:

gzip -cn9 audtty.1 > audtty.1.gz && \
touch -r audtty.1 audtty.1.gz

And then install the gzipped one.

> The usage of autogen.sh ended with debuginfo-without-sources.  That's the
> reason why I use the commands out of autogen.sh in the spec file.

Ok, but then the changelog is not correct, because it says you switched to autogen.sh. Please fix this and the manpage before build.

APPROVED.

Comment 5 Fabian Affolter 2009-07-25 20:55:38 UTC
(In reply to comment #4)
> (In reply to comment #3)
> But this in %build:
> 
> gzip -cn9 audtty.1 > audtty.1.gz && \
> touch -r audtty.1 audtty.1.gz

Added

> > The usage of autogen.sh ended with debuginfo-without-sources.  That's the
> > reason why I use the commands out of autogen.sh in the spec file.
> 
> Ok, but then the changelog is not correct, because it says you switched to
> autogen.sh. Please fix this and the manpage before build.

Fixed

Comment 6 Fabian Affolter 2009-07-25 20:56:24 UTC
New Package CVS Request
=======================
Package Name: audtty
Short Description: A ncurses based terminal client for the Audacious
Owners: fab
Branches: F-10 F-11
InitialCC:

Comment 7 Kevin Fenzi 2009-07-26 19:39:09 UTC
cvs done.

Comment 8 Fedora Update System 2009-07-26 21:41:03 UTC
audtty-0.1.11-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/audtty-0.1.11-3.fc11

Comment 9 Fedora Update System 2009-07-26 21:41:08 UTC
audtty-0.1.11-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/audtty-0.1.11-3.fc10

Comment 10 Fedora Update System 2009-07-27 21:33:57 UTC
audtty-0.1.11-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audtty'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8029

Comment 11 Fedora Update System 2009-07-27 21:38:58 UTC
audtty-0.1.11-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audtty'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8048

Comment 12 Fedora Update System 2009-08-05 00:33:37 UTC
audtty-0.1.11-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-08-05 00:37:25 UTC
audtty-0.1.11-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.